<?php
//API
//http://s.ebeta.jp/shipping/about_webapi

//佐川
include_once('SOAP/Client.php');


class ModelShippingSagawa extends Model {
	function getQuote() {
		$this->load->language('shipping/sagawa');
		
		if ($this->config->get('sagawa_status')) {
			$address = $this->customer->getAddress($this->session->data['shipping_address_id']);
			$query = $this->db->query("SELECT * FROM zone_to_geo_zone WHERE geo_zone_id = '" . (int)$this->config->get('sagawa_geo_zone_id') . "' AND country_id = '" . (int)$address['country_id'] . "' AND (zone_id = '" . (int)$address['zone_id'] . "' OR zone_id = '0')");
			
			
			//お店所在地
			$shop_zone_query = $this->db->query("SELECT name FROM zone WHERE zone_id = '" . (int)$this->config->get('config_zone_id') . "'");
			//選択住所
			$customer_zone_query = $this->db->query("SELECT name FROM zone WHERE zone_id = '" . (int)$address['zone_id'] . "'");
			
			
      		if (!$this->config->get('sagawa_geo_zone_id')) {
        		$status = TRUE;
      		} elseif ($query->num_rows) {
        		$status = TRUE;
      		} else {
        		$status = FALSE;
      		}
		} else {
			$status = FALSE;
		}

		if ($this->cart->getSubTotal() < $this->config->get('sagawa_total')) {
			$status = FALSE;
		}
		
		////////////////////////////////////////////////////////////////////////////////////
		$wsdl = new SOAP_WSDL('http://s.ebeta.jp/shipping/service.wsdl');
		$params = array(
			'size' => $this->config->get('sagawa_box_size'), 
			'weight' => $this->cart->getWeight(), 
			'prefecture' => $shop_zone_query->row['name'], 
			'sendPrefecture' => $customer_zone_query->row['name']
		);
		$proxy = $wsdl->getProxy();
		//$proxy = $wsdl->generateProxyCode();
		$cost = $proxy->GetSagawaPrice($params['size'], $params['weight'], $params['prefecture'], $params['sendPrefecture']);
		
		if($cost == 0){
			$status = FALSE;
		}
		////////////////////////////////////////////////////////////////////////////////////
		
		$method_data = array();
	
		if ($status) {
			$quote_data = array();
			
			
			$quote_data['sagawa'] = array(
        		'id'           => 'sagawa.sagawa',
        		'title'        => $this->language->get('text_description'),
        		'cost'         => $cost,
        		'tax_class_id' => $this->config->get('sagawa_tax_class_id'),
				'text'         => $this->currency->format($this->tax->calculate($cost, $this->config->get('sagawa_tax_class_id'), $this->config->get('config_tax')))
      		);
			$method_data = array(
        		'id'         => 'sagawa',
        		'title'      => $this->language->get('text_title'),
        		'quote'      => $quote_data,
				'sort_order' => $this->config->get('sagawa_sort_order'),
        		'error'      => FALSE
      		);
		}
	
		return $method_data;
	}
}
?>