<form action="<?php echo $action; ?>" method="post" enctype="multipart/form-data">
  <h1>DantoCart - インストール前の確認</h1>
  <p>オープンソースEコマースソリューション「DantoCart」のインストールウィザードへようこそ！<br/>このウィザードは、インストールの際にあなたの手助けになってくれるでしょう。<br />
  		全ての項目を注意深く確認してください。</p>
  <p>質問等あれば、 <a onclick="window.open('http://dantocart.com/forums/index.php');">サポートフォーラム</a>に投稿してください。</p>
  <p>準備はいいですか？さあ、セットアップを始めましょう！</p>
  <?php if ($error_warning) { ?>
  <div class="warning"><?php echo $error_warning; ?></div>
  <?php } ?>
  <p>1. 以下にリストアップされたPHPの設定確認してください。</p>
  <table width="100%">
    <tr>
      <th width="35%" align="left"><b>PHP 設定</b></th>
      <th width="25%" align="left"><b>現在の設定</b></th>
      <th width="25%" align="left"><b>必要とされる設定</b></th>
      <th width="15%" align="center"><b>ステータス</b></th>
    </tr>
    <tr>
      <td>PHP バージョン:</td>
      <td><?php echo phpversion(); ?></td>
      <td>5.0+</td>
      <td align="center"><?php echo (phpversion() >= '5.0') ? '<img src="view/image/good.png" alt="Good" />' : '<img src="view/image/bad.png" alt="Bad" />'; ?></td>
    </tr>
    <tr>
      <td>Register Globals:</td>
      <td><?php echo (ini_get('register_globals')) ? 'On' : 'Off'; ?></td>
      <td>Off</td>
      <td align="center"><?php echo (!ini_get('register_globals')) ? '<img src="view/image/good.png" alt="Good" />' : '<img src="view/image/bad.png" alt="Bad" />'; ?></td>
    </tr>
    <tr>
      <td>Magic Quotes GPC:</td>
      <td><?php echo (ini_get('magic_quotes_gpc')) ? 'On' : 'Off'; ?></td>
      <td>Off</td>
      <td align="center"><?php echo (!ini_get('magic_quotes_gpc')) ? '<img src="view/image/good.png" alt="Good" />' : '<img src="view/image/bad.png" alt="Bad" />'; ?></td>
    </tr>
    <tr>
      <td>File Uploads:</td>
      <td><?php echo (ini_get('file_uploads')) ? 'On' : 'Off'; ?></td>
      <td>On</td>
      <td align="center"><?php echo (ini_get('file_uploads')) ? '<img src="view/image/good.png" alt="Good" />' : '<img src="view/image/bad.png" alt="Bad" />'; ?></td>
    </tr>
    <tr>
      <td>Allow Url fopen:</td>
      <td><?php echo (ini_get('allow_url_fopen')) ? 'On' : 'Off'; ?></td>
      <td>On</td>
      <td align="center"><?php echo (ini_get('allow_url_fopen')) ? '<img src="view/image/good.png" alt="Good" />' : '<img src="view/image/bad.png" alt="Bad" />'; ?></td>
    </tr>
    <tr>
      <td>Session Auto Start:</td>
      <td><?php echo (ini_get('session_auto_start')) ? 'On' : 'Off'; ?></td>
      <td>Off</td>
      <td align="center"><?php echo (!ini_get('session_auto_start')) ? '<img src="view/image/good.png" alt="Good" />' : '<img src="view/image/bad.png" alt="Bad" />'; ?></td>
    </tr>
  </table>
  <p>2. 以下にリストされたエクステンションが使用出来るか確認してください。</p>
  <table width="100%">
    <tr>
      <th width="35%" align="left"><b>エクステンション</b></th>
      <th width="25%" align="left"><b>現在の設定</b></th>
      <th width="25%" align="left"><b>必要とされる設定</b></th>
      <th width="15%" align="center"><b>ステータス</b></th>
    </tr>
    <tr>
      <td>MySQL:</td>
      <td><?php echo extension_loaded('mysql') ? 'On' : 'Off'; ?></td>
      <td>On</td>
      <td align="center"><?php echo extension_loaded('mysql') ? '<img src="view/image/good.png" alt="Good" />' : '<img src="view/image/bad.png" alt="Bad" />'; ?></td>
    </tr>
    <tr>
      <td>GD:</td>
      <td><?php echo extension_loaded('gd') ? 'On' : 'Off'; ?></td>
      <td>On</td>
      <td align="center"><?php echo extension_loaded('gd') ? '<img src="view/image/good.png" alt="Good" />' : '<img src="view/image/bad.png" alt="Bad" />'; ?></td>
    </tr>
    <tr>
      <td>cURL:</td>
      <td><?php echo extension_loaded('curl') ? 'On' : 'Off'; ?></td>
      <td>On</td>
      <td align="center"><?php echo extension_loaded('curl') ? '<img src="view/image/good.png" alt="Good" />' : '<img src="view/image/bad.png" alt="Bad" />'; ?></td>
    </tr>
    <tr>
      <td>ZIP:</td>
      <td><?php echo extension_loaded('zlib') ? 'On' : 'Off'; ?></td>
      <td>On</td>
      <td align="center"><?php echo extension_loaded('zlib') ? '<img src="view/image/good.png" alt="Good" />' : '<img src="view/image/bad.png" alt="Bad" />'; ?></td>
    </tr>
  </table>
  <p>3. 以下のリストのファイルのパーミッションを確認してください。（666）</p>
  <table width="100%">
    <tr>
      <th align="left"><b>ファイル</b></th>
      <th width="15%" align="left"><b>ステータス</b></th>
    </tr>
    <tr>
      <td><?php echo $config_catalog; ?></td>
      <td><?php echo (is_writable($config_catalog)) ? '<span class="good">書き込み可能</span>' : '<span class="bad">書き込み不可</span>'; ?></td>
    </tr>
    <tr>
      <td><?php echo $config_admin; ?></td>
      <td><?php echo (is_writable($config_admin)) ? '<span class="good">書き込み可能</span>' : '<span class="bad">書き込み不可</span>'; ?></td>
    </tr>
  </table>
  <p>4. 以下のディレクトリのパーミッションを確認してください。（777）</p>
  <table width="100%">
    <tr>
      <th align="left"><b>ディレクトリ</b></th>
      <th width="15%" align="left"><b>ステータス</b></th>
    </tr>
    <tr>
      <td><?php echo $cache . '/'; ?></td>
      <td><?php echo is_writable($cache) ? '<span class="good">書き込み可能</span>' : '<span class="bad">書き込み不可</span>'; ?></td>
    </tr>
    <tr>
      <td><?php echo $image . '/'; ?></td>
      <td><?php echo is_writable($image) ? '<span class="good">書き込み可能</span>' : '<span class="bad">書き込み不可</span>'; ?></td>
    </tr>
    <tr>
      <td><?php echo $image_cache . '/'; ?></td>
      <td><?php echo is_writable($image_cache) ? '<span class="good">書き込み可能</span>' : '<span class="bad">書き込み不可</span>'; ?></td>
    </tr>
    <tr>
      <td><?php echo $download . '/'; ?></td>
      <td><?php echo is_writable($download) ? '<span class="good">書き込み可能</span>' : '<span class="bad">書き込み不可</span>'; ?></td>
    </tr>
  </table>
  <div class="button">
    <input type="submit" value="続ける" />
  </div>
</form>
